## org.apache.mahout.classifier.bayes.io
Class SequenceFileModelReader

    java.lang.Object
      org.apache.mahout.classifier.bayes.io.SequenceFileModelReader

    public final class SequenceFileModelReader

extends java.lang.Object

This Class reads the different interim files created during the Training stage as well as the Model File during testing.

Method Summary
`static void` `loadFeatureWeights(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static void` `loadLabelWeights(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static void` `loadModel(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, Parameters params, org.apache.hadoop.conf.Configuration conf)`
`static void` `loadSumWeight(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static void` `loadThetaNormalizer(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static void` `loadWeightMatrix(InMemoryBayesDatastore datastore, org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static java.util.Map<java.lang.String,java.lang.Double>` `readLabelDocumentCounts(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static java.util.Map<java.lang.String,java.lang.Double>` `readLabelSums(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static double` `readSigmaJSigmaK(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`
`static double` `readVocabCount(org.apache.hadoop.fs.FileSystem fs, org.apache.hadoop.fs.Path pathPattern, org.apache.hadoop.conf.Configuration conf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### loadModel

    public static void loadModel(InMemoryBayesDatastore datastore,
                                 org.apache.hadoop.fs.FileSystem fs,
                                 Parameters params,
                                 org.apache.hadoop.conf.Configuration conf)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadWeightMatrix

    public static void loadWeightMatrix(InMemoryBayesDatastore datastore,
                                        org.apache.hadoop.fs.FileSystem fs,
                                        org.apache.hadoop.fs.Path pathPattern,
                                        org.apache.hadoop.conf.Configuration conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadFeatureWeights

    public static void loadFeatureWeights(InMemoryBayesDatastore datastore,
                                          org.apache.hadoop.fs.FileSystem fs,
                                          org.apache.hadoop.fs.Path pathPattern,
                                          org.apache.hadoop.conf.Configuration conf)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadLabelWeights

    public static void loadLabelWeights(InMemoryBayesDatastore datastore,
                                        org.apache.hadoop.fs.FileSystem fs,
                                        org.apache.hadoop.fs.Path pathPattern,
                                        org.apache.hadoop.conf.Configuration conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadThetaNormalizer

    public static void loadThetaNormalizer(InMemoryBayesDatastore datastore,
                                           org.apache.hadoop.fs.FileSystem fs,
                                           org.apache.hadoop.fs.Path pathPattern,
                                           org.apache.hadoop.conf.Configuration conf)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### loadSumWeight

    public static void loadSumWeight(InMemoryBayesDatastore datastore,
                                     org.apache.hadoop.fs.FileSystem fs,
                                     org.apache.hadoop.fs.Path pathPattern,
                                     org.apache.hadoop.conf.Configuration conf)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLabelSums

    public static java.util.Map<java.lang.String,java.lang.Double> readLabelSums(org.apache.hadoop.fs.FileSystem fs,
                                                                                 org.apache.hadoop.fs.Path pathPattern,
                                                                                 org.apache.hadoop.conf.Configuration conf)
                                                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### readLabelDocumentCounts

    public static java.util.Map<java.lang.String,java.lang.Double> readLabelDocumentCounts(org.apache.hadoop.fs.FileSystem fs,
                                                                                           org.apache.hadoop.fs.Path pathPattern,
                                                                                           org.apache.hadoop.conf.Configuration conf)
                                                                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### readSigmaJSigmaK

    public static double readSigmaJSigmaK(org.apache.hadoop.fs.FileSystem fs,
                                          org.apache.hadoop.fs.Path pathPattern,
                                          org.apache.hadoop.conf.Configuration conf)
                                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### readVocabCount

    public static double readVocabCount(org.apache.hadoop.fs.FileSystem fs,
                                        org.apache.hadoop.fs.Path pathPattern,
                                        org.apache.hadoop.conf.Configuration conf)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.